• English
  • Query MoMo Network

    Request Path

    /api/v2/payment/merchant/payout/queryMobileMoneyOperator

    Parameter List

    NameTypeLengthRequiredDescription
    mobileNoString100YesFull 14-digit mobile phone number,eg.02550778109000

    Return Value

    NameTypeLengthRequiredDescription
    codeString32YesNetwork code
    nameString32YesNetwork Name

    Return Code

    Error

    Postman Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/payout/queryMobileMoneyOperator' \
    --header 'CountryCode: TZ' \
    --header 'Signature: DRKC0Jdb1hYEwHq98hyDRg83rNMqOR0Os1I/HozGBbsZRar4cU5CBQPzKFC4o1ERnDL0RS9heBlnKKAHlAqItyISeiKPPXWBeOzLP/iJsvRghjlDpSk5TbSlMGU5yn7AkepYiRtFxSgBnRZ/VabVEaYPm8JosGXlLG6YZGJ042EvU93rDxu8plhcdbk9VsD9KuqC4+xd8PysaR0nir+f9f1T8S+xyk6yC9moxM/bf6MfaffOPwmbML3MH6Vj8AUHgtrLWA4XTAGPF/xY+4LVJOK+PmuN8GVQo2HzsqwNsUkRHTBAh2+VtqEVhLFL7Za3LflqoyH5FYgMT1suKkEWbg==' \
    --header 'Authorization: Bearer L231127033553217011841' \
    --header 'Content-Type: application/json' \
    --data '{
      "requestTime":1658568813705,
      "version":"V1.1",
      "nonceStr":"rNsxYX3Rkkktqq5NG3kkllppwF8LGDvLugF",
      "mobileNo":"02550778109000"
    }'

    response

    {
        "data": {
            "code": "MTN",
            "name": "MTN"
        },
        "respMsg": "success",
        "respCode": "00000000"
    }